Subject: bug#61460: 30.0.50; Calendar shows eclipse for quarter moon

From: Ulrich Mueller <[email-masked]>
Date: Sun, 12 Feb 2023 22:13:49 +0100

>>>>> On Sun, 12 Feb 2023, Eli Zaretskii wrote:

> Thanks, but what about

>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20414#14

> It sounds like the "impossible" argument was already voiced in that
> discussion?

Indeed, and it was ignored. :(

An eclipse can only occur when the three bodies (Sun, Earth, and Moon)
are in a straight line configuration. Which is the case for new moon and
full moon, but not for quarter moon.

See also https://eclipse.gsfc.nasa.gov/LEdecade/LEdecade2021.html which
lists 2023-05-05 and 2023-10-28 as the only dates of lunar eclipses in
2023, but _not_ 2023-01-28. That output of Calendar is definitely wrong.